commit:     b9756eb7eb82d0cde35b7fae17cc2bc007c83c8d
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  4 17:08:13 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Oct  4 17:30:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9756eb7

mail-client/thunderbird: drop USE=gmp-autoupdate

Not used by thunderbird.

Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 mail-client/thunderbird/thunderbird-78.3.1.ebuild | 28 +----------------------
 1 file changed, 1 insertion(+), 27 deletions(-)

diff --git a/mail-client/thunderbird/thunderbird-78.3.1.ebuild 
b/mail-client/thunderbird/thunderbird-78.3.1.ebuild
index ffd926e975b..7c0951f4674 100644
--- a/mail-client/thunderbird/thunderbird-78.3.1.ebuild
+++ b/mail-client/thunderbird/thunderbird-78.3.1.ebuild
@@ -53,7 +53,7 @@ KEYWORDS="amd64 ~arm64 ~ppc64 x86"
 
 SLOT="0/$(ver_cut 1)"
 LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
-IUSE="clang cpu_flags_arm_neon dbus debug eme-free +gmp-autoupdate
+IUSE="clang cpu_flags_arm_neon dbus debug eme-free
        hardened jack lto +openh264 pgo pulseaudio selinux
        +system-av1 +system-harfbuzz +system-icu +system-jpeg +system-libevent
        +system-libvpx +system-webp wayland wifi"
@@ -180,12 +180,6 @@ DEPEND="${CDEPEND}
 
 S="${WORKDIR}/${PN}-${PV%_*}"
 
-# Allow MOZ_GMP_PLUGIN_LIST to be set in an eclass or
-# overridden in the enviromnent (advanced hackers only)
-if [[ -z "${MOZ_GMP_PLUGIN_LIST+set}" ]] ; then
-       MOZ_GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
-fi
-
 llvm_check_deps() {
        if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
                ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM 
slot ${LLVM_SLOT} ..." >&2
@@ -826,16 +820,6 @@ src_install() {
        pref("spellchecker.dictionary_path",       
"${EPREFIX}/usr/share/myspell");
        EOF
 
-       if ! use gmp-autoupdate ; then
-               local plugin
-               for plugin in "${MOZ_GMP_PLUGIN_LIST[@]}" ; do
-                       einfo "Disabling auto-update for ${plugin} plugin ..."
-                       cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to 
disable autoupdate for ${plugin} media plugin"
-                       pref("media.${plugin}.autoupdate",   false);
-                       EOF
-               done
-       fi
-
        # Force the graphite pref if USE=system-harfbuzz is enabled, since the 
pref cannot disable it
        if use system-harfbuzz ; then
                cat >>"${GENTOO_PREFS}" <<-EOF || die "failed to set 
gfx.font_rendering.graphite.enabled pref"
@@ -969,16 +953,6 @@ pkg_preinst() {
 pkg_postinst() {
        xdg_pkg_postinst
 
-       if ! use gmp-autoupdate ; then
-               elog "USE='-gmp-autoupdate' has disabled the following plugins 
from updating or"
-               elog "installing into new profiles:"
-               local plugin
-               for plugin in "${MOZ_GMP_PLUGIN_LIST[@]}" ; do
-                       elog "\t ${plugin}"
-               done
-               elog
-       fi
-
        if use pulseaudio && has_version ">=media-sound/apulse-0.1.12-r4" ; then
                elog "Apulse was detected at merge time on this system and so 
it will always be"
                elog "used for sound.  If you wish to use pulseaudio instead 
please unmerge"

Reply via email to